Rational representation
[ipdf/code.git] / src / tests / runtests.sh
1 #!/bin/bash
2
3 for source in *.cpp; do
4         t=${source%.cpp}
5         make -C ../ tests/$t 1>>/dev/null
6         (echo -n "Running $t.test ... ") 1>&2
7         ./$t.test 2>$t.err 1>$t.out
8         if [ $? -ne 0 ]; then
9                 (echo " FAILURE! Press enter to see stderr") 1>&2
10                 read
11                 less $t.err
12                 (echo "Stopping tests after failure.") 1>&2
13                 exit 1
14         fi
15         (echo "Success!") 1>&2
16 done

UCC git Repository :: git.ucc.asn.au